"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InProgress = void 0;
var react_1 = __importDefault(require("react"));
var lottie_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/lottie"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var svg_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/svg"));
var InProgress = function (props) {
    var _a, _b, _c, _d;
    var text = props.text;
    var color = (_a = props.color) !== null && _a !== void 0 ? _a : primeobjects_helper_util_1.GRAY;
    var type = (_b = props.type) !== null && _b !== void 0 ? _b : "lottie";
    return (react_1.default.createElement("div", { className: "flex flex-row w-full items-center ".concat((_c = props.className) !== null && _c !== void 0 ? _c : ""), style: (_d = props.style) !== null && _d !== void 0 ? _d : {} },
        react_1.default.createElement("div", { className: "h-10 flex items-center" }, type == "lottie" ? (react_1.default.createElement(lottie_1.default, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(color[500]) })) : (react_1.default.createElement(svg_1.default, { src: "/icons/platform/loading.svg", className: "spinner", color: color[500], style: { width: 20, height: 20 } }))),
        (0, core_1.isNonEmptyString)(text) && (react_1.default.createElement("div", { className: "flex-1 text-base text-".concat(color.name, "-500 p-2") }, text))));
};
exports.InProgress = InProgress;
exports.default = exports.InProgress;
//# sourceMappingURL=in-progress.js.map