import React, { CSSProperties } from "react";
import { TSiteSubmitEmailSectionProps } from "./site-submit-email";
export type TSiteRecordSectionProps = {
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    recordContentProps?: {
        titleClassName?: string;
        titleStyle?: CSSProperties;
        subTitleClassName?: string;
        subTitleStyle?: CSSProperties;
        media?: string;
        needHeaderPhoto?: boolean;
        mediaSize?: string;
        submitEmailSettings?: TSiteSubmitEmailSectionProps & {
            title: string;
        };
        wrapperClassName?: string;
        wrapperStyle?: CSSProperties;
        contentClassName?: string;
        contentStyle?: CSSProperties;
        tags?: string[];
        disableShorten?: boolean;
        onClickTag?: (tag: string) => void;
    };
    solution: Record<string, any>;
    record: Record<string, any>;
    urlTemplate: string;
    media?: string;
    tagSectionTitle?: string;
    maxTagCount?: number;
    flushCache?: boolean;
    similarSectionAdditionalData?: Record<string, any>[];
    similarSectionTitle?: string;
    submitEmailSettings: TSiteSubmitEmailSectionProps & {
        title: string;
    };
    navigation?: Record<string, any>[];
    onClickLogo?: () => void;
};
export declare const SiteRecordSection: (props: TSiteRecordSectionProps) => React.JSX.Element;
export default SiteRecordSection;
